Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Class

    java.lang.Object
      rdlc.rdl.Declaration_Named
          rdlc.rdl.DynRoot_Standard
              rdlc.sw.Class

All Implemented Interfaces:
  Declaration, DynRoot, Expression

Direct Known Subclasses:
  LibraryClass

    public class Class

extends DynRoot_Standard

Abstracts all of the fields and methods which are part of a object oriented class. Reading and understanding this class gets a little complicated since this is exactly meant to represent a class. There's a little bit of meta-circular confusion involved. Most of the class members are stored as `Field`s in the `ClassInstance`.

Version:
  $Revision: 1.14 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary

Fields inherited from class rdlc.rdl.DynRoot_Standard
`instance, isLeaf, isRoot`

Fields inherited from class rdlc.rdl.Declaration_Named
`iName, namespace, rawStaticID`

Constructor Summary
`Class(java.lang.String _name, Namespace _namespace, Field.Access _access)` Base constructor, creates an object-oriented class in the given namespace with the given access level.

Method Summary
`java.lang.String` | `toString()` Simple accessor.

Methods inherited from class rdlc.rdl.DynRoot_Standard
`getInstance, getLambdaName, getRequirements, isLeaf, isRoot, setNamespace, typeMatch`

Methods inherited from class rdlc.rdl.Declaration_Named
`getBase, getIdentifier, getNamedBase, getRawStaticID, getType, resolve, setRawStaticID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Declaration
`getBase, getIdentifier, getNamedBase, getType, setRawStaticID`

Methods inherited from interface rdlc.rdl.Expression
`resolve`

Constructor Detail

### Class

    public Class(java.lang.String _name,
                 Namespace _namespace,
                 Field.Access _access)

  Base constructor, creates an object-oriented class in the given namespace with the given access level.

  Parameters:
    `_name` - The name of the class.
    `_namespace` - The namespace to create it in.
    `_access` - The access level to give the class.

Method Detail

### toString

    public java.lang.String toString()

  Simple accessor.

  Overrides:
    `toString` in class `Declaration_Named`
  Returns:
    A human readable representation of this wire for debugging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD